Your message dated Sun, 01 Nov 2009 19:37:58 +0000
with message-id <[email protected]>
and subject line Bug#550114: fixed in miredo 1.2.1-1
has caused the Debian Bug report #550114,
regarding miredo: Uninstallable and init.d script not working on kfreebsd-*
to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)
--
550114: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550114
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: miredo
Version: 1.1.5-2
Severity: important
Tags: patch
User: [email protected]
Usertags: kfreebsd
miredo depends on iproute which is Linux specific. Please depend on
freebsd-net-tools on kfreebsd-* instead.
The init.d script has Linux specific parts, too.
Following a patch which should solve at least these two issues:
---snip---
diff -ur miredo-1.1.5_orig/debian/changelog miredo-1.1.5/debian/changelog
--- miredo-1.1.5_orig/debian/changelog 2009-10-07 19:16:07.000000000 +0200
+++ miredo-1.1.5/debian/changelog 2009-10-07 19:19:27.000000000 +0200
@@ -1,3 +1,9 @@
+miredo (1.1.5-3~abe+kbsd1) unstable; urgency=low
+
+ * Fix dependencies and init.d script on kfreebsd-*
+
+ -- Axel Beckert <[email protected]> Wed, 07 Oct 2009 18:44:39 +0200
+
miredo (1.1.5-2) unstable; urgency=low
* Remove bogus chkconfig entries from initscript.
diff -ur miredo-1.1.5_orig/debian/control miredo-1.1.5/debian/control
--- miredo-1.1.5_orig/debian/control 2009-10-07 19:16:07.000000000 +0200
+++ miredo-1.1.5/debian/control 2009-10-07 18:42:12.000000000 +0200
@@ -12,7 +12,7 @@
Package: miredo
Architecture: any
Pre-Depends: adduser, makedev (>= 2.3.1-62) | udev
-Depends: ${shlibs:Depends}, ${misc:Depends}, iproute
+Depends: ${shlibs:Depends}, ${misc:Depends}, iproute [!hurd-i386
!kfreebsd-i386 !kfreebsd-amd64], freebsd-net-tools [kfreebsd-i386
kfreebsd-amd64]
Description: Teredo IPv6 tunneling through NATs
The Teredo IPv6 tunneling protocol encapsulates IPv6 packets into UDP/IPv4
datagrams, to allow hosts behind NAT devices to access the IPv6 Internet.
diff -ur miredo-1.1.5_orig/debian/miredo.init miredo-1.1.5/debian/miredo.init
--- miredo-1.1.5_orig/debian/miredo.init 2009-10-07 19:16:07.000000000
+0200
+++ miredo-1.1.5/debian/miredo.init 2009-10-07 19:12:41.000000000 +0200
@@ -41,15 +41,22 @@
echo "$DAEMON not starting."
exit 0
fi
- if [ -e /proc/sys/kernel/modprobe ]; then
- `cat /proc/sys/kernel/modprobe` tun 2>/dev/null
- `cat /proc/sys/kernel/modprobe` ipv6 2>/dev/null
- fi
- if [ ! -e /dev/net/tun ]; then
- echo "/dev/net/tun does not exist."
- echo "$DAEMON cannot be started."
- exit 0
- fi
+ if [ `uname -s` = Linux ]; then
+ if [ -e /proc/sys/kernel/modprobe ]; then
+ `cat /proc/sys/kernel/modprobe` tun 2>/dev/null
+ `cat /proc/sys/kernel/modprobe` ipv6 2>/dev/null
+ fi
+ if [ ! -e /dev/net/tun ]; then
+ echo "/dev/net/tun does not exist."
+ echo "$DAEMON cannot be started."
+ exit 0
+ fi
+ fi
+ if [ `uname -s` = GNU/kFreeBSD ]; then
+ if ! kldstat | grep if_tun; then
+ kldload if_tun
+ fi
+ fi
}
check_conf_file() {
---snap---
This patch suffices to get the teredo interface up, but unfortunately
it doesn't suffice to get an IPv6 address on that interface yet. It's
though a start for further debugging on kfreebsd-*.
-- System Information:
Debian Release: squeeze/sid
APT prefers unstable
APT policy: (990, 'unstable'), (110, 'experimental')
Architecture: kfreebsd-i386 (i686)
Kernel: kFreeBSD 8.0-0-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Versions of packages miredo depends on:
ii adduser 3.111 add and remove users and groups
ii freebsd-net-tools 7.2-8 FreeBSD networking tools
ii libc0.1 2.9-27 GNU C Library: Shared libraries
ii libfreebsd0 0.0-8 FreeBSD compatibility library - sh
ii libjudydebian1 1.0.5-1 C library for creating and accessi
ii makedev 2.3.1-89 creates device files in /dev
miredo recommends no packages.
miredo suggests no packages.
-- no debconf information
-- debsums errors found:
Your vendor has not defined Fcntl macro O_NOATIME, used at /usr/bin/debsums
line 277.
--- End Message ---
--- Begin Message ---
Source: miredo
Source-Version: 1.2.1-1
We believe that the bug you reported is fixed in the latest version of
miredo, which is due to be installed in the Debian FTP archive:
miredo-server_1.2.1-1_i386.deb
to main/m/miredo/miredo-server_1.2.1-1_i386.deb
miredo_1.2.1-1.diff.gz
to main/m/miredo/miredo_1.2.1-1.diff.gz
miredo_1.2.1-1.dsc
to main/m/miredo/miredo_1.2.1-1.dsc
miredo_1.2.1-1_i386.deb
to main/m/miredo/miredo_1.2.1-1_i386.deb
miredo_1.2.1.orig.tar.gz
to main/m/miredo/miredo_1.2.1.orig.tar.gz
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Rémi Denis-Courmont <[email protected]> (supplier of updated miredo
package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Format: 1.8
Date: Wed, 21 Oct 2009 21:38:02 +0300
Source: miredo
Binary: miredo miredo-server
Architecture: source i386
Version: 1.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Rémi Denis-Courmont <[email protected]>
Changed-By: Rémi Denis-Courmont <[email protected]>
Description:
miredo - Teredo IPv6 tunneling through NATs
miredo-server - Teredo IPv6 tunneling server
Closes: 538290 541225 546881 550114 552603
Changes:
miredo (1.2.1-1) unstable; urgency=low
.
* New upstream version.
* Initscript handles force-start and force-stop (Closes: #538290)
(Patch by Jakob Haufe).
* Fix miredo-server runlevels (Closes: #541225)
(Patch by Petter Reinholdtsen).
* Put udev before makedev as pre-dependency (Closes: #546881).
* Remove /var/run subdirectories from the packages.
* Update standards version to 3.8.3.
* Make the package installable on FreeBSD kernel (Closes: #550114).
* Remove legacy libfreebsd-dev dependency (Closes: #552603).
* Fix LSB initscripts Provides statements to match package names.
* Reload miredo when an IPv4 interface is brought up (LP: #304958).
Checksums-Sha1:
0ef81dfe9ea2ddaf99e6c93d824945c849e65cf5 1180 miredo_1.2.1-1.dsc
c322c3ea411d3f70a71002b93666d384816b02da 668551 miredo_1.2.1.orig.tar.gz
8f754690ea093829e83083b010ab94f28bf08835 7162 miredo_1.2.1-1.diff.gz
bf5f32977ca9eefd752f787b0a7dd4dccc7bb9d6 212498 miredo_1.2.1-1_i386.deb
737235d80f7639609f0b1583f70b1830040a31b0 169966 miredo-server_1.2.1-1_i386.deb
Checksums-Sha256:
e3536652332abd40b575e06ca157fae8b1a4a40d14ef16ccbfb75766a2f40555 1180
miredo_1.2.1-1.dsc
bfee21bfeace6f49271f07652bb9cd038baca4bfef1376a1867b537fdd413a72 668551
miredo_1.2.1.orig.tar.gz
3e96797be8803ffd26398111713687b81dbce9bd574648b5bf42f367340b03c4 7162
miredo_1.2.1-1.diff.gz
f978c4dc5b62ca06ff0a90d1b97eb2445c820f203a50e62235820a278925dacb 212498
miredo_1.2.1-1_i386.deb
c7e4fe8b6daa8b8f3fd1a0cd5f51c771223d906fbe7bc120e817190e910b901f 169966
miredo-server_1.2.1-1_i386.deb
Files:
60f0690f6a6807d2f559fb9bc35501c6 1180 net optional miredo_1.2.1-1.dsc
55489434fc468f3d2aba7c58a8391e61 668551 net optional miredo_1.2.1.orig.tar.gz
723f1296ffde2ebaf64160a8cc79d0f8 7162 net optional miredo_1.2.1-1.diff.gz
c4b428c30bfee12ea296e876548da039 212498 net optional miredo_1.2.1-1_i386.deb
be4a612509508a3962c01bd293cda24f 169966 net extra
miredo-server_1.2.1-1_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
iEYEARECAAYFAkrt2PcACgkQrSbtgqbIBbndSwCgu25bpD03KcxZZNAg24e0V4fU
T2cAnR+wQcXn0wOsYN5cJrwxqnIImYJ2
=6pOT
-----END PGP SIGNATURE-----
--- End Message ---